
Synnefo - Bug # 653

Status: Closed Priority: Medium

Author: Constantinos Venetsanopoulos Category: Cyclades UI

Created: 06/08/2011 Assignee: Mike Muzurakis

Updated: 06/23/2011 Due date:

Subject: Μικρές αισθητικές αλλαγές στον "Create Wizard"

Description

Εδώ θα ανέβει mockup, για μικρές αλλαγές στον wizard που θα αντιστοιχούν σε αυτά που ειπώθηκαν στο demo

Associated revisions

Revision 504981ba - 06/13/2011 03:05 pm - Mike Muzurakis

UI changes on create vm wizard, Refs #653

Revision b7e79006 - 06/16/2011 01:58 pm - Mike Muzurakis

add check in header after each step on vm creation wiz, Refs #653

Revision 8e15be4c - 06/16/2011 01:58 pm - Mike Muzurakis

add arrows on prev,next buttons in create vm wizard, Refs #653

Revision 1b9fa083 - 06/16/2011 07:40 pm - Mike Muzurakis

fix positioning of header numbers on vm wizard, Refs #653

Revision d681d3a6 - 06/23/2011 12:02 pm - Mike Muzurakis

fix create vm wizard css, Refs #653

History

#1 - 06/08/2011 10:43 am - Vangelis Koukis

- Target version set to v0.5

#2 - 06/10/2011 02:03 pm - Christos Psaltis

- Status changed from Assigned to Feedback

#3 - 06/10/2011 05:34 pm - Constantinos Venetsanopoulos

- Status changed from Feedback to Assigned

Έχουν ανέβει τα καινούρια με ελάχιστες διαφορές:

step 1: (https://code.grnet.gr/attachments/download/179/web_layout_0.1.1-wizard-1.png)
https://code.grnet.gr/attachments/download/179/web_layout_0.1.1-wizard-1.png


a. O τίτλος γίνεται bold italic πορτοκαλί και στοιχίζεται ακριβώς κάτω από το "1".

b. το scrollable pane κολλάει στη μπάρα "system/your images" και δεν αφήνει κενό.

c. μπαίνει ένα μικρό βέλος (όχι ascii) δίπλα στο "next" χρώματος ίδιο με το system images button και κατά το hover γίνεται λευκό. To κουμπί

συνεχίζει να έχει το hover που είχε πριν.

step 2: (https://code.grnet.gr/attachments/download/181/web_layout_0.1.1-wizard-2.png)

a. O τίτλος γίνεται bold italic πορτοκαλί και στοιχίζεται ακριβώς κάτω από το "1".

b. το pane με τα cpus/ram/size κολλάει στην πάνω μπάρα "small/medium/..".

c. μπαίνουν βέλη και στο "back" και στο "next" και συμπεριφέρονται όπως και στο 1c

d. γίνεται "0" το cost/per hour μέσα στο κουτί και γίνεται μπλε χρώματος όπως και το border του κουτιού.

e. το "1 Image" γίνεται ένα πιο light χρώμα (hex 64a6c4) και προστίθεται ένα "tick" στο τέλος του.

step 3: (https://code.grnet.gr/attachments/download/183/web_layout_0.1.1-wizard-3.png)

a. O τίτλος γίνεται bold italic πορτοκαλί και στοιχίζεται ακριβώς κάτω από το "1".

b. το "2 Flavor" γίνεται ίδιο με το 2e.

c. μπαίνει βέλος στο "back" με συμπεριφορά ίδια με του 1c.

#4 - 06/13/2011 03:13 pm - Mike Muzurakis

- Status changed from Assigned to Feedback

- Assignee changed from Christos Psaltis to Mike Muzurakis

Τα περισσότερα έγιναν στο commit:504981ba

Έχουν μείνει τα:

1c,2c,3c για τα οποία χρειάζομαι το αντίστοιχο βέλος σε svg για να φτιάξω τα back, forward και τα hover τους

2e,3b για τα οποία χρειάζομαι επίσης το αντίστοιχο check για τους ίδιους λόγους. Για τα 2e, 3b επίσης θα χρειαστούν παραπάνω από μικρές

αισθητικές αλλαγές, καθώς εισάγεται η λογική των completed steps (και όχι μόνο των active).

#5 - 06/14/2011 02:00 pm - Constantinos Venetsanopoulos

- Status changed from Feedback to Assigned

Εδώ, στα layers που αφορούν στον Wizard υπάρχει ότι χρειάζεσαι:

https://code.grnet.gr/attachments/download/201/web_layout_0.1.1.svg.tar.gz

Λογική για completed steps δεν χρειάζεται να μπει και δεν θα μπει προς το παρόν, από τη στιγμή που υπάρχουν default τιμές για κάθε βήμα και

έλεγχος κενού name στο τέλος. Άρα απλά μπαίνουν τα tick σε όλα τα προηγούμενα βήματα κάθε φορά και σβήνονται τα αντίστοιχα όταν ο χρήστης

κάνει back

#6 - 06/16/2011 01:59 pm - Mike Muzurakis

- Status changed from Assigned to Feedback

Έγιναν και αυτά που είχαν μείνει

#7 - 06/16/2011 03:18 pm - Constantinos Venetsanopoulos
- Status changed from Feedback to Assigned

Κατέβασε λίγο πιο κάτω τα βέλη στα κουμπιά για να στοιχιστούν σωστά με τη λέξη. Επίσης στον τίτλο πρέπει τα γράμματα να έρθουν πιο κοντά στα

νούμερα και τα "tick" πιο κοντά στα γράμματα. Τα νούμερα να μείνουν ακριβώς εκεί που είναι

#8 - 06/16/2011 07:42 pm - Mike Muzurakis

- Status changed from Assigned to Feedback

Οκ, έγιναν και τα παραπάνω.

#9 - 06/23/2011 10:57 am - Constantinos Venetsanopoulos

- Status changed from Feedback to Assigned

Πως είναι οκ εδώ τα πράγματα; Βλέπω ότι έχουν σπάσει πάρα πολλά:

1. Οι επικεφαλίδες "1/2/.." έχουν φύγει τελείως εκτός του μπλε πλαισίου (προς τα κάτω).

2. Τα βελάκια παραμένουν ψηλά

3. Τα κουτιά τωv selected "system/custom images" έχουν μεγαλώσει και φεύγουν έξω από τη μπάρα

4. Τα input boxes στο step 2 μίκρυναν και κόβονται τα νούμερα μέσα.

5. Η λεπτά μπάρα κάτω από τον πορτοκαλί τίτλο δεν στο step 1 απέχει λιγότερο από την επόμενη μπάρα απότι στα υπόλοιπα βήματα

#10 - 06/23/2011 11:10 am - Mike Muzurakis

Όχι εδώ δεν είναι οκ πια. Γίνονται πολλές αλλαγές τις τελευταίες 2 μέρες γιατί έχουν σπάσει πολλά πράγματα στον ΙΕ μετά τα redesign και τις

αλλαγές που έγιναν στη v0.5. Όταν τελειώσουν θα το ξαναγυρίσω σε feedback.

#11 - 06/23/2011 02:49 pm - Mike Muzurakis

- Status changed from Assigned to Feedback

#12 - 06/23/2011 02:52 pm - Constantinos Venetsanopoulos

- Status changed from Feedback to Closed

ok, closed
